---
title: Create an incident impact field
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Incidents
---

> For the complete documentation index, see [llms.txt](https://docs.datadoghq.com/llms.txt).

# Create an incident impact field{% #create-an-incident-impact-field %}
Copy pageCopied
{% tab title="v2" %}
**Note**: This endpoint is in preview and is subject to change. If you have any feedback, contact [Datadog support](https://docs.datadoghq.com/help/).
| Datadog site      | API endpoint                                                             |
| ----------------- | ------------------------------------------------------------------------ |
| ap1.datadoghq.com | POST https://api.ap1.datadoghq.com/api/v2/incidents/config/impact-fields |
| ap2.datadoghq.com | POST https://api.ap2.datadoghq.com/api/v2/incidents/config/impact-fields |
| app.datadoghq.eu  | POST https://api.datadoghq.eu/api/v2/incidents/config/impact-fields      |
| app.ddog-gov.com  | POST https://api.ddog-gov.com/api/v2/incidents/config/impact-fields      |
| us2.ddog-gov.com  | POST https://api.us2.ddog-gov.com/api/v2/incidents/config/impact-fields  |
| uk1.datadoghq.com | POST https://api.uk1.datadoghq.com/api/v2/incidents/config/impact-fields |
| app.datadoghq.com | POST https://api.datadoghq.com/api/v2/incidents/config/impact-fields     |
| us3.datadoghq.com | POST https://api.us3.datadoghq.com/api/v2/incidents/config/impact-fields |
| us5.datadoghq.com | POST https://api.us5.datadoghq.com/api/v2/incidents/config/impact-fields |

### Overview

Create an impact field for incidents. This endpoint requires the `incident_settings_write` permission.

OAuth apps require the `incident_settings_write` authorization [scope](https://docs.datadoghq.com/api/latest/scopes.md#incidents) to access this endpoint.



### Request

#### Body Data (required)

Impact field payload.

{% tab title="Model" %}

| Parent field  | Field                           | Type     | Description                                                                                                       |
| ------------- | ------------------------------- | -------- | ----------------------------------------------------------------------------------------------------------------- |
|               | data [*required*]          | object   | Impact field data in a create request.                                                                            |
| data          | attributes [*required*]    | object   | Attributes for creating an impact field.                                                                          |
| attributes    | display_name [*required*]  | string   | The display name of the impact field.                                                                             |
| attributes    | field_choices                   | [object] | The choices for dropdown or multiselect fields.                                                                   |
| field_choices | description                     | string   | The description of the choice.                                                                                    |
| field_choices | display_name [*required*]  | string   | The display name of the choice.                                                                                   |
| field_choices | value [*required*]         | string   | The value of the choice.                                                                                          |
| attributes    | field_type [*required*]    | enum     | The type of an impact field. Allowed enum values: `dropdown,text,textarray,metrictag,number,datetime,multiselect` |
| attributes    | name [*required*]          | string   | The normalized name of the impact field (used as identifier).                                                     |
| attributes    | tag_key                         | string   | The tag key associated with the field (for metrictag type).                                                       |
| data          | relationships [*required*] | object   | Relationships for an impact field create request.                                                                 |
| relationships | incident_type [*required*] | object   | Relationship to an incident type.                                                                                 |
| incident_type | data [*required*]          | object   | Relationship to incident type object.                                                                             |
| data          | id [*required*]            | string   | The incident type's ID.                                                                                           |
| data          | type [*required*]          | enum     | Incident type resource type. Allowed enum values: `incident_types`                                                |
| data          | type [*required*]          | enum     | Impact field resource type. Allowed enum values: `impact_fields`                                                  |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "display_name": "Customer Impact Scope",
      "field_choices": [
        {
          "description": "Affects all customers",
          "display_name": "Critical",
          "value": "critical"
        }
      ],
      "field_type": "dropdown",
      "name": "customer_impact_scope",
      "tag_key": "env"
    },
    "relationships": {
      "incident_type": {
        "data": {
          "id": "00000000-0000-0000-0000-000000000000",
          "type": "incident_types"
        }
      }
    },
    "type": "impact_fields"
  }
}
```

{% /tab %}

### Response

{% tab title="201" %}
Created
{% tab title="Model" %}
Response with a single impact field.

| Parent field          | Field                          | Type     | Description                                                                                                       |
| --------------------- | ------------------------------ | -------- | ----------------------------------------------------------------------------------------------------------------- |
|                       | data [*required*]         | object   | Impact field data in a response.                                                                                  |
| data                  | attributes [*required*]   | object   | Attributes of an impact field in a response.                                                                      |
| attributes            | display_name [*required*] | string   | The display name of the impact field.                                                                             |
| attributes            | field_choices                  | [object] | The choices for dropdown or multiselect fields.                                                                   |
| field_choices         | description                    | string   | The description of the choice.                                                                                    |
| field_choices         | display_name [*required*] | string   | The display name of the choice.                                                                                   |
| field_choices         | value [*required*]        | string   | The value of the choice.                                                                                          |
| attributes            | field_type [*required*]   | enum     | The type of an impact field. Allowed enum values: `dropdown,text,textarray,metrictag,number,datetime,multiselect` |
| attributes            | name [*required*]         | string   | The normalized name of the impact field.                                                                          |
| attributes            | tag_key                        | string   | The tag key associated with the field.                                                                            |
| data                  | id [*required*]           | uuid     | The impact field identifier.                                                                                      |
| data                  | relationships                  | object   | Relationships for an impact field.                                                                                |
| relationships         | created_by_user                | object   | Relationship to user.                                                                                             |
| created_by_user       | data [*required*]         | object   | Relationship to user object.                                                                                      |
| data                  | id [*required*]           | string   | A unique identifier that represents the user.                                                                     |
| data                  | type [*required*]         | enum     | Users resource type. Allowed enum values: `users`                                                                 |
| relationships         | incident_type                  | object   | Relationship to an incident type.                                                                                 |
| incident_type         | data [*required*]         | object   | Relationship to incident type object.                                                                             |
| data                  | id [*required*]           | string   | The incident type's ID.                                                                                           |
| data                  | type [*required*]         | enum     | Incident type resource type. Allowed enum values: `incident_types`                                                |
| relationships         | last_modified_by_user          | object   | Relationship to user.                                                                                             |
| last_modified_by_user | data [*required*]         | object   | Relationship to user object.                                                                                      |
| data                  | id [*required*]           | string   | A unique identifier that represents the user.                                                                     |
| data                  | type [*required*]         | enum     | Users resource type. Allowed enum values: `users`                                                                 |
| data                  | type [*required*]         | enum     | Impact field resource type. Allowed enum values: `impact_fields`                                                  |
|                       | included                       | [object] | Included related resources.                                                                                       |
| included              | attributes                     | object   | Attributes of user object returned by the API.                                                                    |
| attributes            | email                          | string   | Email of the user.                                                                                                |
| attributes            | handle                         | string   | Handle of the user.                                                                                               |
| attributes            | icon                           | string   | URL of the user's icon.                                                                                           |
| attributes            | name                           | string   | Name of the user.                                                                                                 |
| attributes            | uuid                           | string   | UUID of the user.                                                                                                 |
| included              | id                             | string   | ID of the user.                                                                                                   |
| included              | type                           | enum     | Users resource type. Allowed enum values: `users`                                                                 |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": {
    "attributes": {
      "display_name": "Customer Impact Scope",
      "field_choices": [
        {
          "description": "Affects all customers",
          "display_name": "Critical",
          "value": "critical"
        }
      ],
      "field_type": "dropdown",
      "name": "customer_impact_scope",
      "tag_key": "env"
    },
    "id": "00000000-0000-0000-0000-000000000000",
    "relationships": {
      "created_by_user": {
        "data": {
          "id": "00000000-0000-0000-2345-000000000000",
          "type": "users"
        }
      },
      "incident_type": {
        "data": {
          "id": "00000000-0000-0000-0000-000000000000",
          "type": "incident_types"
        }
      },
      "last_modified_by_user": {
        "data": {
          "id": "00000000-0000-0000-2345-000000000000",
          "type": "users"
        }
      }
    },
    "type": "impact_fields"
  },
  "included": [
    {
      "attributes": {
        "email": "string",
        "handle": "string",
        "icon": "string",
        "name": "string",
        "uuid": "string"
      },
      "id": "string",
      "type": "users"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="400" %}
Bad Request
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="401" %}
Unauthorized
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Forbidden
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \## default
# 
 \# Curl command curl -X POST "https://api.datadoghq.com/api/v2/incidents/config/impact-fields" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" \
-d @- << EOF
{
  "data": {
    "attributes": {
      "display_name": "Customer Impact Scope",
      "field_choices": [
        {
          "description": "Affects all customers",
          "display_name": "All Customers",
          "value": "all_customers"
        },
        {
          "description": "Affects some customers",
          "display_name": "Some Customers",
          "value": "some_customers"
        }
      ],
      "field_type": "dropdown",
      "name": "customer_impact_scope"
    },
    "relationships": {
      "incident_type": {
        "data": {
          "id": "00000000-0000-0000-0000-000000000000",
          "type": "incident_types"
        }
      }
    },
    "type": "impact_fields"
  }
}
EOF 
                
{% /tab %}
